Skip to content
GET /unified/meta/{model_name}/{integration_name}

Path Parameters

model_namestring
required·

The name of the unified model to get the documentation for.

Example: user-directory
integration_namestring
required·

The name of the integration to get the documentation for.

Example: freshdesk

Query Parameters

formatstring

The format in which to return the documentation. Default is json.

Possible values:
jsonmdhtml

Response Body

instructionsstring · markdown

The integration specific instructions like steps to create an API key, getting account subdomain, etc. In Markdown format.

pricing_planstring[]

The list of pricing plans for which the integration is available. In free text format, ready to be displayed as it is.

scopesstring[]

The list of scopes required to make the unified API work.

user_rolestring[]

The list of user roles who can connect the integration. In free text format, ready to be displayed as it is.

curl -X GET 'https://api.truto.one/unified/meta/{model_name}/{integration_name}' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.truto.one/unified/meta/{model_name}/{integration_name}', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/meta/{model_name}/{integration_name}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.get(url, headers=headers, params=params)
print(response.json())